Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class ReplaceCreatorCopyOption

    java.lang.Object
      com.ibm.workplace.wcm.api.ReplaceCreatorCopyOption

All Implemented Interfaces:
  CopyOption

    public class ReplaceCreatorCopyOption

extends java.lang.Object
implements CopyOption

This `CopyOption` is used to replace the original creator of the source item being copied. If this option is used with `RecursiveCopyOption`, all items copied will have their creator replaced. The creator can be set as either a Java Security Principal or a PUMA User.

Since:
  8.0.0.1

Constructor Summary
`ReplaceCreatorCopyOption(java.security.Principal creator)` Constructor - create ReplaceCreatorCopyOption with a Java Security Principal
`ReplaceCreatorCopyOption(User creator)` Constructor - create ReplaceCreatorCopyOption with a PUMA User

Method Summary
`User` | `creator()`
`java.security.Principal` | `getCreator()`
`java.lang.String` | `getCreatorAsString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceCreatorCopyOption

    public ReplaceCreatorCopyOption(java.security.Principal creator)

  Constructor - create ReplaceCreatorCopyOption with a Java Security Principal

  Parameters:
    `creator` - the creator to use

### ReplaceCreatorCopyOption

    public ReplaceCreatorCopyOption(User creator)

  Constructor - create ReplaceCreatorCopyOption with a PUMA User

  Parameters:
    `creator` - the creator to use

Method Detail

### getCreatorAsString

    public java.lang.String getCreatorAsString()

  Returns:
    the creator, if it has been set as a String, otherwise null. Can be a user DN or CN, depending on setting in Workspace.useDistinguishedNames().

### getCreator

    public java.security.Principal getCreator()

  Returns:
    the creator, if it has been set as a Java Security Principal, otherwise null

### creator

    public User creator()

  Returns:
    the creator, if it has been set as a PUMA User, otherwise null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD